Loading...
Searching...
No Matches
GoogleDataProvider::GoogleCalendarsDataProvider Class Reference

The parent class for REST APIs related to specific Google calendars. More...

`#include <GoogleCalendarsDataProvider.qc.dox.h>`

Inheritance diagram for GoogleDataProvider::GoogleCalendarsDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (GoogleRestClient::GoogleRestClient rest)
| Creates the object from a REST connection.
*list< hash< DataProvider::DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from GoogleDataProvider::GoogleDataProviderBase
| constructor ()
| Creates the object.
| constructor (GoogleRestClient::GoogleRestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes

const | ProviderInfo
| Provider info.
const | ProviderSummaryInfo
| Provider summary info.

## Protected Member Functions

hash< string, bool > | getAllCalendars ()
| Returns access info for all tables.
*GoogleDataProviderBase | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
Qore::Thread::Mutex | lck ()
| Metadata mutex.

## Protected Attributes

hash< string, bool > | calendars
| Calendar list.
Protected Attributes inherited from GoogleDataProvider::GoogleDataProviderBase
*GoogleRestClient::GoogleRestClient | rest
| The REST client object for API calls.

## Detailed Description

The parent class for REST APIs related to specific Google calendars.

## Member Function Documentation

## getChildProviderImpl()

*GoogleDataProviderBase GoogleDataProvider::GoogleCalendarsDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > GoogleDataProvider::GoogleCalendarsDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any